package de.rmdir.ms2debounce;

import java.io.File;

public class DebounceModuleHelper
{
	private File filesdir;

	public DebounceModuleHelper(File appdir) {
		filesdir = appdir;
	}

	public void loadModule() {
		extractModule();

		try {
			Process insmod = Runtime.getRuntime().exec(new String[]{"su","-c","/system/bin/insmod /system/lib/modules/debounce.ko"});
			insmod.waitFor();
		} catch (Exception e) {}
	}

	public boolean isLoaded() {
		return false;
	}

	private void extractModule() {
		File debounce_ko = new File(filesdir + "/debounce.ko");

		if (debounce_ko.exists()) {
			return;
		}
	}
}
